html {
  margin: 0;
  background: #fbf6ff;
}

body {
  padding: 1.5rem;
  background: #fbf6ff;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  font-size: 1rem;
  line-height: 1.5;
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
}

p {
  margin-bottom: 1.5rem;
}

h1, h2, h3, h4, h5 {
  margin: 0 0 1.5rem 0;
  font-family: 'Rubik', sans-serif;
  font-weight: 100;
  color: #3a3e3a;
  word-break: break-word;
  text-shadow: 0px -1px 0px rgba(255,255,255,.5),
    0 -2px 3px rgba(234, 239, 239, 0.4);
}

h1 {
  text-transform: uppercase;
}

h1 a {
  text-decoration: none;
  color: inherit;
  border-bottom: 1px solid transparent;
  transition: border-bottom 0.1s ease-in;
}

h1 a:hover {
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

h1::selection {
  background: #5af;
  color: #fff;
  text-shadow: none;
}

header[role="banner"] {
  padding: 0 0 1.5rem 0;
}

header[role="banner"] h1 {
  margin: 0;
}

main[role="main"] {
  padding: 0 1.5rem 0 0;
}

main[role="main"] > p {
  margin: 0 0 1.5rem 0;
}

form {
  margin: 0;
  padding: 0;
}

fieldset {
  padding: 0;
  margin: 0;
  border: 0;
  display: flex;
  flex-direction: column;
}

legend {
  display: none;
}

input {
  padding: 0.5rem;
  font-size: 1rem;
  border-radius: 7px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  outline: none;
  /* flex-grow: 2; */
  margin: 1.5rem 0;
}

input:active {
  border: 1px solid rgba(0, 0, 0, 0.6);
}

button[type="submit"] {
  padding: 0.5rem;
  font-size: 1rem;
  border: 1px solid #177aff;
  border-radius: 7px;
  background: linear-gradient(#73bbfe, #4e99ff);
  color: white;
  text-shadow: 0 -1px 0px #177aff, 0 1px 0px #0669ee;
}

button[type="submit"]:hover {
  cursor: pointer;
}

:root {
  font-size: 12px;
}

@media (min-width: 48em) {
  :root {
    font-size: calc(12px + ((1vw - 0.48rem) * 0.6944));
    min-height: 0vw;
  }

  fieldset {
    flex-direction: row;
    justify-content: content;
    align-items: center;
    flex-direction: row;
  }

  input {
    flex-grow: 2;
    margin: 0 1.5rem;
  }
}

@media (min-width: 120em) {
  :root {
    font-size: 1.5rem;
  }
}
